#################################################
#
#  Project:  ASxxxx v5.41
#  Target:   armeabi-v7a-linux-android
#  IDE:      AIDE v3.2.171025
#  Date:     2021-10-12 12:18:00
#
#################################################

ASX_TOP := $(call my-dir)/../../..

ASXXSRC := ../asxxsrc/asdata.c \
           ../asxxsrc/asexpr.c \
           ../asxxsrc/aslex.c \
           ../asxxsrc/aslist.c \
           ../asxxsrc/asmain.c \
           ../asxxsrc/asmcro.c \
           ../asxxsrc/asout.c \
           ../asxxsrc/assubr.c \
           ../asxxsrc/assym.c \
           ../asxxsrc/asdbg.c

#################################################
# AS1802
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as1802
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as1802
LOCAL_SRC_FILES := 1802mch.c 1802pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS2650
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as2650
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as2650
LOCAL_SRC_FILES := s26adr.c s26mch.c s26pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS4040
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as4040
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as4040
LOCAL_SRC_FILES := i40adr.c i40mch.c i40pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS430
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as430
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as430
LOCAL_SRC_FILES := m430adr.c m430mch.c m430pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS6100
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as6100
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as6100
LOCAL_SRC_FILES := i61adr.c i61mch.c i61pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS61860
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as61860
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as61860
LOCAL_SRC_FILES := s6186adr.c s6186mch.c s6186pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS6500
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as6500
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as6500
LOCAL_SRC_FILES := r65adr.c r65mch.c r65pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS6800
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as6800
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as6800
LOCAL_SRC_FILES := m00adr.c m00mch.c m00pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS6801
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as6801
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as6801
LOCAL_SRC_FILES := m01adr.c m01mch.c m01pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS6804
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as6804
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as6804
LOCAL_SRC_FILES := m04adr.c m04mch.c m04pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS6805
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as6805
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as6805
LOCAL_SRC_FILES := m05adr.c m05mch.c m05pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS6808
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as6808
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as6808
LOCAL_SRC_FILES := m08adr.c m08mch.c m08pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS6809
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as6809
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as6809
LOCAL_SRC_FILES := m09adr.c m09mch.c m09pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS6811
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as6811
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as6811
LOCAL_SRC_FILES := m11adr.c m11mch.c m11pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS6812
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as6812
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as6812
LOCAL_SRC_FILES := m12adr.c m12mch.c m12pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS6816
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as6816
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as6816
LOCAL_SRC_FILES := m16adr.c m16mch.c m16pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS740
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as740
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as740
LOCAL_SRC_FILES := m74adr.c m74mch.c m74pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS78K0
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as78k0
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as78k0
LOCAL_SRC_FILES := r78k0adr.c r78k0mch.c r78k0pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS78K0S
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as78k0s
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as78k0s
LOCAL_SRC_FILES := r78ksadr.c r78ksmch.c r78kspst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS8008
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as8008
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as8008
LOCAL_SRC_FILES := i08adr.c i08mch.c i08pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS8008S
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as8008s
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as8008s
LOCAL_SRC_FILES := i08sadr.c i08smch.c i08spst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS8048
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as8048
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as8048
LOCAL_SRC_FILES := i48adr.c i48mch.c i48pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS8051
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as8051
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as8051
LOCAL_SRC_FILES := i51adr.c i51mch.c i51pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS8085
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as8085
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as8085
LOCAL_SRC_FILES := i85mch.c i85pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS89LP
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as89lp
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as89lp
LOCAL_SRC_FILES := at89adr.c at89mch.c at89pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS8x300
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as8x300
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as8x300
LOCAL_SRC_FILES := s8xadr.c s8xmch.c s8xpst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# AS8xcxxx
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/as8xcxxx
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := as8xcxxx
LOCAL_SRC_FILES := ds8adr.c ds8mch.c ds8pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASAVR
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asavr
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asavr
LOCAL_SRC_FILES := avradr.c avrmch.c avrpst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASCHECK
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/ascheck
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := ascheck
LOCAL_SRC_FILES := chkadr.c chkmch.c chkpst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASCOP4
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/ascop4
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := ascop4
LOCAL_SRC_FILES := cop4adr.c cop4mch.c cop4pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASCOP8
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/ascop8
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := ascop8
LOCAL_SRC_FILES := cop8adr.c cop8mch.c cop8pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASEZ80
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asez80
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asez80
LOCAL_SRC_FILES := ez80adr.c ez80mch.c ez80pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASF2MC8
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asf2mc8
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asf2mc8
LOCAL_SRC_FILES := f2mc8adr.c f2mc8mch.c f2mc8pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASF8
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asf8
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asf8
LOCAL_SRC_FILES := f8adr.c f8mch.c f8pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASGB
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asgb
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asgb
LOCAL_SRC_FILES := gbadr.c gbmch.c gbpst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASH8
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/ash8
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := ash8
LOCAL_SRC_FILES := h8adr.c h8mch.c h8pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASM8C
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asm8c
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asm8c
LOCAL_SRC_FILES := m8cadr.c m8cmch.c m8cpst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASPIC
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/aspic
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := aspic
LOCAL_SRC_FILES := picadr.c picmch.c picpst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASRAB
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asrab
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asrab
LOCAL_SRC_FILES := rabadr.c rabmch.c rabpst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASSCMP
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asscmp
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asscmp
LOCAL_SRC_FILES := scmpadr.c scmpmch.c scmppst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASST6
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asst6
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asst6
LOCAL_SRC_FILES := st6adr.c st6mch.c st6pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASST7
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asst7
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asst7
LOCAL_SRC_FILES := st7adr.c st7mch.c st7pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASST8
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asst8
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asst8
LOCAL_SRC_FILES := st8adr.c st8mch.c st8pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASZ8
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asz8
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asz8
LOCAL_SRC_FILES := z8adr.c z8mch.c z8pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASZ80
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asz80
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asz80
LOCAL_SRC_FILES := z80adr.c z80mch.c z80pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASZ280
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asz280
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asz280
LOCAL_SRC_FILES := z280adr.c z280mch.c z280pst.c $(ASXXSRC)
include $(BUILD_EXECUTABLE)

#################################################
# ASLINK
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/linksrc
LOCAL_MODULE := aslink
LOCAL_SRC_FILES := lkmain.c lkhead.c lkarea.c \
                   lkbank.c lkdata.c lkeval.c \
                   lklex.c  lklibr.c lklist.c \
                   lkrloc.c lkrloc3.c lkrloc4.c \
                   lksym.c lkout.c lknoice.c \
                   lksdcdb.c
include $(BUILD_EXECUTABLE)

#################################################
# ASXCNV
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asxxmisc
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asxcnv
LOCAL_SRC_FILES := asxxconv.c
include $(BUILD_EXECUTABLE)

#################################################
# ASXSCN
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/asxxmisc
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := asxscn
LOCAL_SRC_FILES := asxxscan.c
include $(BUILD_EXECUTABLE)

#################################################
# S19OS9
#################################################
include $(CLEAR_VARS)
LOCAL_PATH := $(ASX_TOP)/s19os9
LOCAL_C_INCLUDES := $(LOCAL_PATH)/../asxxsrc
LOCAL_MODULE := s19os9
LOCAL_SRC_FILES := s19os9.c
include $(BUILD_EXECUTABLE)

### end #########################################
